#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "external");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xa5eedb62, "module_layout" },
	{ 0x413710dc, "crypto_alloc_skcipher" },
	{ 0x5350bbd7, "cdev_del" },
	{ 0x4ba775eb, "kmalloc_caches" },
	{ 0x58713834, "pci_bus_type" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x53e8debd, "cdev_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1ed8b599, "__x86_indirect_thunk_r8" },
	{ 0x53b954a2, "up_read" },
	{ 0xc590d36a, "pci_enable_sriov" },
	{ 0x89ae7aa0, "rsa_parse_pub_key" },
	{ 0xc8b4f53d, "pci_write_config_word" },
	{ 0xde39e791, "debugfs_create_dir" },
	{ 0x18bd4199, "crypto_alloc_shash" },
	{ 0x42b958f3, "crypto_register_akcipher" },
	{ 0x754d539c, "strlen" },
	{ 0xf797a205, "crypto_unregister_skciphers" },
	{ 0x36470ce2, "seq_open" },
	{ 0x461d16ca, "sg_nents" },
	{ 0x8e139e72, "seq_puts" },
	{ 0x2f278c6d, "boot_cpu_data" },
	{ 0xc41ff27e, "pci_disable_msix" },
	{ 0x47939e0d, "__tasklet_hi_schedule" },
	{ 0xb3635b01, "_raw_spin_lock_bh" },
	{ 0x9cfd6645, "pci_disable_sriov" },
	{ 0xc0a3d105, "find_next_bit" },
	{ 0x272252cd, "seq_printf" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x7e940da7, "device_destroy" },
	{ 0x7055cca5, "crypto_register_kpp" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc29957c3, "__x86_indirect_thunk_rcx" },
	{ 0x87b8798d, "sg_next" },
	{ 0xd648911b, "cpu_info" },
	{ 0x7665ee72, "crypto_dh_decode_key" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0xc9da61ba, "preempt_voluntary_key" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x37d48439, "dma_free_attrs" },
	{ 0x37bd99df, "debugfs_create_file" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x845dbf3b, "scatterwalk_map_and_copy" },
	{ 0x2f6d7aa1, "seq_read" },
	{ 0x9329aef7, "pv_ops" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb44ad4b3, "_copy_to_user" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x44f646ed, "_dev_warn" },
	{ 0xfb578fc5, "memset" },
	{ 0xb6418fc8, "pci_enable_pcie_error_reporting" },
	{ 0xf080a958, "pci_restore_state" },
	{ 0x1bf5d34b, "crypto_register_skciphers" },
	{ 0xb5136dc7, "mutex_lock_interruptible" },
	{ 0x977f511b, "__mutex_init" },
	{ 0xc5850110, "printk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x7026f2aa, "crypto_shash_update" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa1c76e0a, "_cond_resched" },
	{ 0xb49d2546, "crypto_shash_digest" },
	{ 0x9166fada, "strncpy" },
	{ 0x5a921311, "strncmp" },
	{ 0x90a09e87, "pcie_flr" },
	{ 0xd773b209, "pci_read_config_word" },
	{ 0xefd9cbbb, "debugfs_remove" },
	{ 0x5792f848, "strlcpy" },
	{ 0x6c8ea3c2, "dma_alloc_attrs" },
	{ 0xd75b20aa, "rsa_parse_priv_key" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc0fa2ed9, "pci_wait_for_pending_transaction" },
	{ 0x9545af6d, "tasklet_init" },
	{ 0x3e79e985, "device_create" },
	{ 0x3283441c, "crypto_unregister_akcipher" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xce807a25, "up_write" },
	{ 0xb37b8857, "_dev_err" },
	{ 0x57bc19d2, "down_write" },
	{ 0xe923b371, "pci_enable_msi" },
	{ 0x82072614, "tasklet_kill" },
	{ 0xb7743074, "cdev_add" },
	{ 0xd0940c70, "compat_ptr_ioctl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x2a1a4c38, "module_put" },
	{ 0x9aa6eb29, "_dev_info" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0x94f6e53c, "kmem_cache_alloc_node_trace" },
	{ 0xb8d3c87e, "iommu_present" },
	{ 0x5613ffd1, "pci_enable_msix_range" },
	{ 0x12a38747, "usleep_range" },
	{ 0x56bee138, "crypto_skcipher_decrypt" },
	{ 0x49c41a57, "_raw_spin_unlock_bh" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x9cb986f2, "vmalloc_base" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xb8b9f817, "kmalloc_order_trace" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x2333c132, "dma_map_page_attrs" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x1241c594, "pci_read_config_dword" },
	{ 0x815f97a0, "crypto_destroy_tfm" },
	{ 0xc1545ffd, "crypto_unregister_aeads" },
	{ 0x539f224, "dev_driver_string" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x2f9f7393, "kmem_cache_alloc_trace" },
	{ 0xdbf17652, "_raw_spin_lock" },
	{ 0xffef1186, "__dynamic_dev_dbg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x2bfe4491, "pci_disable_pcie_error_reporting" },
	{ 0xeb4bf574, "seq_lseek" },
	{ 0xeae22eb4, "seq_hex_dump" },
	{ 0xa01a3471, "pci_sriov_get_totalvfs" },
	{ 0xd8aa1b70, "crypto_register_aeads" },
	{ 0x37a0cba, "kfree" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3f2ddc47, "pci_disable_msi" },
	{ 0x234afc08, "pci_num_vf" },
	{ 0x50fe5919, "class_destroy" },
	{ 0x78fb0c79, "request_firmware" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x1898c173, "dma_unmap_page_attrs" },
	{ 0xb352177e, "find_first_bit" },
	{ 0x63c4d61f, "__bitmap_weight" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x29361773, "complete" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x220b054c, "seq_release" },
	{ 0x2b5b9037, "crypto_unregister_kpp" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x4d1ff60a, "wait_for_completion_timeout" },
	{ 0xb4090219, "crypto_alloc_base" },
	{ 0x59c6aff4, "irq_set_affinity_hint" },
	{ 0x362ef408, "_copy_from_user" },
	{ 0xe4a3a001, "__class_create" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x31bfe3c1, "release_firmware" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xbb3297c9, "try_module_get" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xcf32542b, "pci_save_state" },
	{ 0xc80e5f64, "crypto_skcipher_encrypt" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=authenc";


MODULE_INFO(srcversion, "02126B3AF53294B5B3566AD");

MODULE_INFO(suserelease, "SLE15-SP3");
